%global upstream sgratzl

%global _summary Bulk delete messages/files on Slack
%global modname  slack_cleaner

%global tarstamp %{?date0:%{commit0}#/%{name}-%{commit0}:v%{version}}
%global tarstamp %{?!date0:v%{version}}

%?python_enable_dependency_generator

Name:           slack-cleaner
# take version from pypi
Version:        0.6.0
Release:        1%{?dist}
Summary:        %_summary
License:        MIT
URL:            https://github.com/%{upstream}/%{name}
Source0:        %{url}/archive/%{tarstamp}.tar.gz#/%{name}-%{tarstamp}.tar.gz
BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-slacker
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-%{modname} = %{version}-%{release}

%description
%_summary

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %_summary
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
Requires:       python%{python3_pkgversion}-slacker

%description -n python%{python3_pkgversion}-%{modname}
%_summary
This package installs the python%{python3_pkgversion} modules.


%prep
# hint: maybe use commit0 instead of version
%autosetup -n%{name}-%{version}

%build
%py3_build

%install
%py3_install


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-py?.?.egg-info/


%changelog
* Sat Jul 27 2019 Raphael Groner <projects.rg@smart.ms> - 0.6.0-1
- new version

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Raphael Groner <projects.rg@smart.ms> - 0.5.0-2
- let Requires on the subpackage be versioned

* Tue Jan 15 2019 Raphael Groner <projects.rg@smart.ms> - 0.5.0-1
- switch to fork from sgratzl
- use rectified summary for description
- split subpackage for python modules
